#!/bin/sh
#
# OldSetup.sh - Michael P. Bramel - mbramel@fuse.net - Hybrid7+mpb
# A very tiny script to prepare hybrid7+mpb versions beyond release I for old-style configuration.
# The new Setup.sh script allows configuration and compiling via just one script, OldSetup.sh
# simply prepares the files that aren't already in place for old-style.
#
echo ""
echo "Old-style setup utility for Hybrid-7+mpb"
echo ""
while [ "$LOCATINGSOURCE" != "done" ]
do
  echo "Attempting to locate source files..."
  if test -f doc/mpb.txt
  then
    SHOWPWD=`pwd`
    echo "OldSetup has detected setup files in $SHOWPWD"
    echo "OldSetup will install from this directory."
    echo ""
    INSTALLSOURCE=$SHOWPWD
    LOCATINGSOURCE="done"
  else
    while [ "$ASKINGSOURCE" != "done" ]
    do
      echo "OldSetup was unable to locate the Hybrid7+Mpb source code on this system"
      echo "please enter the directory to install from."
      echo "Example: $HOME/ircd-hybrid-7rc6+mpb-ri"
      read INSTALLSOURCEINPUT
      if test -f $INSTALLSOURCEINPUT/doc/mpb.txt
      then
        echo "Source has been located in the directory specified:"
        echo "$INSTALLSOURCEINPUT, installing from there."
        echo ""
        INSTALLSOURCE=$INSTALLSOURCEINPUT
        cd $INSTALLSOURCE
        LOCATINGSOURCE="done"
        ASKINGSOURCE="done"
      else
        echo "The source code was not located in the directory specified."
        echo ""
      fi
    done
  fi  
done
if test -f include/config.h
then
  echo "include/config.h is already in place, to revert to"
  echo "the original simply replace it with include/config.h.in"
else
  echo "Restoring default config.h"
  cp include/config.h.dist include/config.h
fi

echo ""
echo "Old-style setup utility completed, Hybrid7 us prepared for the old setup methods."
echo ""

